// Handling key inputs in a title screen and play/stop a bgm.
import UpdateScene;
import GetNumberKey;

var scoreText:GUIText;
var waveText:GUIText;
var titleText:GUIText;
var messageText:GUIText;
var bomber:AddBomb;
private var isPlayingBgm;

function Start () {
	InitializeScene(scoreText, waveText, titleText, messageText, bomber);
	StartTitle();
	for (;;) {
		yield;
		if (isInGame)
			continue;
		if (isPlayingBgm) {
			audio.Stop();
			isPlayingBgm = false;
		}
		if (gameOverTime > 0) {
			// Game Over.
			gameOverTime -= Time.deltaTime;
			if (gameOverTime <= 0)
				StartTitle();
		} else {
			// Title.
			var sg = false;
			for (var i = 0; i < 8; i++) {
				sg |= keysDown[i];
			}
			if (sg) {
			StartGame();
			audio.Play();
				isPlayingBgm = true;
			}
		}
	}
}
