// A bomber who throws bomes.
import Util;
import UpdateScene;

var bomb:MoveBomb;
var bucket:Transform;
var bombParticle:Transform;
var flameGauges:UpdateFlameGauges;
private var nextAddingTime = Time.time;
private var nextWaveTime = Time.time + 5;
private var _flameGauges;

function Initialize() {
	nextAddingTime = Time.time;
	nextWaveTime = Time.time + 5;
	transform.position.x = 0;
	_flameGauges.Initialize();
}

function Start() {
	var _bucket = Instantiate(bucket);
	_flameGauges = Instantiate(flameGauges);
	var t = transform;
	var velRevTime:float = 0;
	for (;;) {
		yield;
		if (!isInGame)
			continue;
		var time = Time.time;
		if (time > nextWaveTime - 1) {
			if (time > nextWaveTime) {
				GoToNextWave();
				nextWaveTime = time + 5;
				nextAddingTime = time;
			}
			continue;
		}
		t.position.x += bomberVel * Time.deltaTime;
		velRevTime -= Time.deltaTime;
		if (velRevTime <= 0) {
			bomberVel = -bomberVel;
			velRevTime = Random.value * (1 / bomberVelRevRatio) * 0.03;
		}
		if ((t.position.x > 8 && bomberVel > 0) || (t.position.x < -8 && bomberVel < 0)) {
			bomberVel = -bomberVel;
			t.position.x += bomberVel * 2 * Time.deltaTime;
		}
		if (nextAddingTime < time) {
			var _bomb = Instantiate(bomb, t.position, Quaternion.identity);
			var particle = Instantiate(bombParticle, t.position, Quaternion.identity);
			_bomb.SetParams(_bucket, bombSpeed, particle, _flameGauges);
			nextAddingTime += bombInterval;
		}
	}
}
